open Calc;;
 

let main () =
  let input = Sys.argv.(1) in
  let _ = Printf.printf "input: %s\n" input in
  let (result, ty) = Eval.eval_str_with_typecheck input in
  Printf.printf "type: %s\n" (Typecheck.type_t2str ty);
  Printf.printf "result: %s\n" (result |> Eval.string_of_value_type);
;;

main ();;